package de.intevation.flys.artifacts.states.fixation;

import org.apache.log4j.Logger;

import org.w3c.dom.Element;
import org.w3c.dom.Node;

import de.intevation.artifacts.Artifact;
import de.intevation.artifacts.CallContext;

import de.intevation.artifacts.common.utils.XMLUtils;

import de.intevation.artifactdatabase.ProtocolUtils;
import de.intevation.artifactdatabase.data.StateData;

import de.intevation.flys.utils.FLYSUtils;

import de.intevation.flys.artifacts.FLYSArtifact;
import de.intevation.flys.artifacts.resources.Resources;
import de.intevation.flys.artifacts.states.RangeState;


/**
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class LocationSelect extends RangeState {

    /** The logger used in this class. */
    private static Logger logger = Logger.getLogger(LocationSelect.class);

    private static final String LOWER = "from";

    private static final String UPPER = "to";

    private static final String STEP = "step";


    /**
     * The default constructor that initializes an empty State object.
     */
    public LocationSelect() {
    }

    @Override
    protected String getUIProvider() {
        return "fix.location_panel";
    }

    @Override
    protected double[] getMinMax(Artifact artifact) {
        FLYSArtifact flysArtifact = (FLYSArtifact) artifact;
        return FLYSUtils.getRiverMinMax(flysArtifact);
    }

    @Override
    protected String getLowerField() {
        return LOWER;
    }

    @Override
    protected String getUpperField() {
        return UPPER;
    }

    @Override
    protected String getStepField() {
        return STEP;
    }

}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
